<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:f = "http://function"
    version="2.0">
    
    <xsl:output indent="yes"/>
    
    <xsl:template match="BirdStrike">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:for-each-group select="child::node()" group-by="local-name()">
                <xsl:copy>
                    <xsl:for-each select="current-group()">
                        <xsl:apply-templates select="node()|@*"/>
                    </xsl:for-each>
                </xsl:copy>
            </xsl:for-each-group>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="node()|@*">
        <xsl:copy>
            <xsl:apply-templates select="node()|@*"/>
        </xsl:copy>
    </xsl:template>
    
</xsl:stylesheet>